RIO_UNREGISTER_DRIVE(9)

NAME
rio_unregister_driver - unregister a RIO driver

SYNOPSIS

void rio_unregister_driver(struct rio_driver * rdrv);

ARGUMENTS

rdrv
    the RIO driver structure to unregister

DESCRIPTION

Deletes the struct rio_driver from the list of registered RIO drivers, gives it a chance to clean up by calling its remove function for each device it was responsible for, and marks those devices as driverless.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT